Bug 215967 - error when attepting to edit wireless device eth1
error when attepting to edit wireless device eth1
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-16 11:59 EST by Scott Derrick
Modified: 2008-05-06 12:50 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:50:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
text from error window (1.44 KB, text/plain)
2006-11-16 11:59 EST, Scott Derrick
no flags Details

  None (edit)
Description Scott Derrick 2006-11-16 11:59:45 EST
Description of problem:
Push "edit" button, error window is diplayed with a traceback, cannot edit eth1
Here is the text

[scott@localhost ~]$ cat network\ error
Component: system-config-network
Version: 1.3.95
Summary: TB6a01f5ed wirelessconfig.py:119:hydrate:ValueError: list.index(x): x
not in list

Traceback (most recent call last):
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
732, in on_editButton_clicked
    self.editButtonFunc[self.active_page](button)
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
833, in on_deviceEditButton_clicked
    button = self.editDevice(device)
  File "/usr/share/system-config-network/netconfpkg/gui/maindialog.py", line
862, in editDevice
    dialog = device.getDialog()
  File "/usr/share/system-config-network/netconfpkg/plugins/NCDevWireless.py",
line 45, in getDialog
    dialog =  _devWirelessDialog(self)
  File "/usr/share/system-config-network/netconfpkg/gui/wirelessconfig.py", line
51, in __init__
    deviceConfigDialog.__init__(self, glade_file, device)
  File "/usr/share/system-config-network/netconfpkg/gui/deviceconfig.py", line
69, in __init__
    self.hydrate()
  File "/usr/share/system-config-network/netconfpkg/gui/wirelessconfig.py", line
119, in hydrate
    match_row = values.index(wl.Mode)
ValueError: list.index(x): x not in list

Local variables in innermost frame:
self: <netconfpkg.gui.wirelessconfig.wirelessConfigDialog instance at 0xb76b8e4c>
r: <gtk.TreeModelRow object at 0xb76cac60>
values: ['Auto', 'Ad-Hoc', 'Managed', 'Master']
wl: Wireless.Mode=managed
Wireless.Key=
Wireless.EssId=ipw3945

Version-Release number of selected component (if applicable):
2,12,0

How reproducible:

every timne

Steps to Reproduce:
1.the mode= line in ifcfg-eth1 is mode=managed
2.press "edit" button for eth1
3.
  
Actual results:
error window

Expected results:
edit dialog

Additional info:
I changed the mode= line to mode=Managed and the error is gone
the app is doing a case sensitive search and not finding managed, thus the error
Comment 1 Scott Derrick 2006-11-16 11:59:46 EST
Created attachment 141382 [details]
text from error window
Comment 2 Bug Zapper 2008-04-04 00:43:56 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 3 Bug Zapper 2008-05-06 12:50:39 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.